summaryrefslogtreecommitdiffstats
path: root/libraries/e_dbus/e_dbus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/e_dbus/e_dbus.SlackBuild')
-rw-r--r--libraries/e_dbus/e_dbus.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/libraries/e_dbus/e_dbus.SlackBuild b/libraries/e_dbus/e_dbus.SlackBuild
index 8c5dc4b89b..d12b7c4593 100644
--- a/libraries/e_dbus/e_dbus.SlackBuild
+++ b/libraries/e_dbus/e_dbus.SlackBuild
@@ -1,11 +1,11 @@
#!/bin/sh
-# Slackware build script for E_dbus
+# Slackware build script for Edbus
# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=e_dbus
-VERSION=${VERSION:-0.5.0.060}
+VERSION=${VERSION:-0.5.0.063}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,9 +45,12 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
--disable-static
make
@@ -54,15 +60,17 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}